Scraping Jobs

List scraping jobs

GET
/jobs/scraping

List the newest scrape jobs of the project, or of one of its websites, with their live scrape progress.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

An API key

Query Parameters

project_id*string
website_id?string|null
limit?integer
Range1 <= value <= 100
Default20

Response Body

Successful Response

application/json
  1. response
[index: integer]?

A scrape job with the live progress of its scrape. variant tells what it scrapes.

url_results of a settled URL job counts its URLs by result.

curl -X GET 'https://api.deepscout.ai/v1/jobs/scraping?project_id=string'
[  {    "job_id": "string",    "job_type": "FULL_SCRAPE",    "status": "CREATED",    "project_id": "string",    "website_id": "string",    "estimate": {      "currency": "string",      "unit_price_per_1000": "12.68",      "quantity": 0,      "total": "12.68",      "cap": "12.68",      "min_charge": "12.68",      "difficulty": "EASY",      "input_products": 0    },    "approval": {      "approved_by": "string",      "approved_at": "2026-09-16T12:30:00.000Z"    },    "settlement": {      "quantity": 0,      "currency": "string",      "amount": "12.68",      "capped": true,      "settled_at": "2026-09-16T12:30:00.000Z"    },    "error": "string",    "error_code": "WEBSITE_TOO_LARGE",    "contact_reason": "WEBSITE_TOO_LARGE",    "contact_request_id": "string",    "created_at": "2026-09-16T12:30:00.000Z",    "updated_at": "2026-09-16T12:30:00.000Z",    "finished_at": "2026-09-16T12:30:00.000Z",    "variant": "FULL",    "url_count": 0,    "urls": [      "string"    ],    "scrape_progress": {      "pages": 0,      "pages_limit": 0,      "pages_estimate": 0,      "phase": "COLLECTING_PAGES",      "percent": 0    },    "url_results": {      "property1": 0,      "property2": 0    }  }]